require("run")
require("globVar")
bsp		= require("bsp")
astar	= require("astar")
fov		= require("fov")
entity	= require("entity")
item	= require("item")
sideBar	= require("sideBar")
spell	= require("spell")



function love.load()
	love.filesystem.setIdentity("data")
	makeLevel()
end



function love.keypressed(key, code)

--=================================================================== [QUIT THE GAME]

	if key == "escape" then return love.event.push("quit") end
	
--=================================================================== [MAKE NEW LEVEL]
	
	if gs == "play" and key == "return" and entity[1].node.info == "hole" then
		level = level + 1
		makeLevel()

	elseif gs == "GAME OVER" and key == "return" then
		level = 2
		gs = "play"
		makeLevel()

--==================================================================== [GAME STATE]
		
	elseif gs == "play" and key == "return" then
		tTo = entity[1].node
		if hint.pause == 1 then
			bubData	=	{
						(entity[1].node.x - 1) * node.size + node.size / 2, (entity[1].node.y - 1) * node.size + node.size / 2,
						"Use arrows to move\n the red square around.\n\nI can attack\nif monster touches me", font.cooper[16], "t",
						white, black
						}
			hint.pause = 0
		end
		gs = "pause"
		redrawAll()

--==================================================================== [PAUSE]
		
	elseif gs == "pause" then
		entity.pauseReturn(key)
		
--==================================================================== [WRITING]
	
	elseif gs == "write" then
		letMeWrite(key, code)

--==================================================================== [SPELL]

	elseif gs == "spell" then
		spell.keyPressed(key)	

	end
	
	if key == "tab" then
		local hh = 0
		for i = 1, #spell do
			if spell[i].is_avail then hh = hh + 1 end
		end

		if gs == "play" and hh > 0 then
			gs = "spell"
		elseif gs == "play" and hh == 0 then
			bubData	=	{
						(entity[1].node.x - 1) * node.size + node.size / 2, (entity[1].node.y - 1) * node.size + node.size / 2,
						"i need keys\nto cast a spell", font.cooper[16], "t",
						white, black
						}
		elseif gs == "spell" then 
			gs = "play"
		end
		redrawAll()
	end
end



function love.update(dt)
	entity.update(dt)
end



function love.draw()
	sideBar.draw()
	drawQuads()
	spell.draw()
end
