local sideBar = {}
local FS = node.size
	
sideBar.draw = function()

	love.graphics.setFont(font.show[34])
	love.graphics.setColor(white)
	love.graphics.line(599, 0, 599, 599)

	love.graphics.print("level: "..level, 609, 0)
	if is_hunting and #entity[1].item == 0 then
		love.graphics.setColor(red)
	end
	love.graphics.print("keys: "..#entity[1].item, 609, 49)

	if gs ~= "spell" then
		love.graphics.setFont(font.cooper[16])
		local fontH = font.cooper[16]:getHeight()
	
		love.graphics.setColor(255, 255, 255, 100)
		love.graphics.print("active spells", 609, 150)
		love.graphics.print("rem", 749, 150)
		love.graphics.line(599, 150 + fontH, 799, 150 + fontH)
		love.graphics.line(740, 150, 740, 390)

		local ii = 1
		for i = 1, #spell do
			if spell[i].remaining > 0 then
				love.graphics.print(spell[i].name, 609, 150 + ii * fontH)
				love.graphics.print(spell[i].remaining, 749, 150 + ii * fontH)
				ii = ii + 1
			end
		end
	end
	
	love.graphics.setFont(font.cooper[16])
	love.graphics.setColor(white)
	love.graphics.print("[ARROWS] - move", 609, 519)
	love.graphics.print("[RETURN] - action", 609, 539)
	love.graphics.print("[TAB] - spell", 609, 559)
	love.graphics.print("[ESC] - quit", 609, 579)
end



return sideBar